Bug 165353 - ports-mgmt/portupgrade can't parse date anymore
Summary: ports-mgmt/portupgrade can't parse date anymore
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-21 09:30 UTC by Dr. Andreas Haakh
Modified: 2012-04-16 22:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dr. Andreas Haakh 2012-02-21 09:30:11 UTC
portupgrade can't parse date anymore.

How-To-Repeat: root@Crabberio:~# portupgrade -f '<2012-02-18'
/usr/local/lib/ruby/site_ruby/1.9/rubygems/custom_require.rb:36:in `require': cannot load such file -- parsedate (LoadError)
	from /usr/local/lib/ruby/site_ruby/1.9/rubygems/custom_require.rb:36:in `require'
	from /usr/local/lib/ruby/site_ruby/1.9/pkgdb.rb:662:in `parse_date'
	from /usr/local/lib/ruby/site_ruby/1.9/pkgdb.rb:732:in `glob'
	from /usr/local/sbin/portupgrade:584:in `block (3 levels) in main'
	from /usr/local/sbin/portupgrade:582:in `catch'
	from /usr/local/sbin/portupgrade:582:in `block (2 levels) in main'
	from /usr/local/lib/ruby/1.9/optparse.rb:1404:in `call'
	from /usr/local/lib/ruby/1.9/optparse.rb:1404:in `block (2 levels) in parse_in_order'
	from /usr/local/lib/ruby/1.9/optparse.rb:1399:in `catch'
	from /usr/local/lib/ruby/1.9/optparse.rb:1399:in `block in parse_in_order'
	from /usr/local/lib/ruby/1.9/optparse.rb:1347:in `catch'
	from /usr/local/lib/ruby/1.9/optparse.rb:1347:in `parse_in_order'
	from /usr/local/lib/ruby/1.9/optparse.rb:1341:in `order!'
	from /usr/local/lib/ruby/1.9/optparse.rb:1334:in `order'
	from /usr/local/sbin/portupgrade:559:in `block in main'
	from /usr/local/lib/ruby/1.9/optparse.rb:882:in `initialize'
	from /usr/local/sbin/portupgrade:231:in `new'
	from /usr/local/sbin/portupgrade:231:in `main'
	from /usr/local/sbin/portupgrade:2219:in `<main>'
root@Crabberio:~#
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2012-02-22 03:57:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ruby

Fix synopsis and assign.
Comment 2 Philip M. Gollucci freebsd_committer 2012-02-22 05:24:54 UTC
State Changed
From-To: open->suspended

Over to maintainer. 


Comment 3 Philip M. Gollucci freebsd_committer 2012-02-22 05:24:54 UTC
Responsible Changed
From-To: ruby->freebsd-ports-bugs

Over to maintainer.
Comment 4 Tilman Keskinoz freebsd_committer 2012-02-23 09:36:31 UTC
pgollucci@FreeBSD.org wrote:
> Synopsis: ports-mgmt/portupgrade can't parse date anymore
>
> State-Changed-From-To: open->suspended
> State-Changed-By: pgollucci
> State-Changed-When: Wed Feb 22 05:24:54 UTC 2012
> State-Changed-Why:
> Over to maintainer.
>
>
> Responsible-Changed-From-To: ruby->freebsd-ports-bugs
> Responsible-Changed-By: pgollucci
> Responsible-Changed-When: Wed Feb 22 05:24:54 UTC 2012
> Responsible-Changed-Why:
> Over to maintainer.
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=165353

I searched the ports for "parsedate" and found devel/ruby-date2.
Installing this port solved the problem for me.
Maybe a dependency should be added to portupgrade.

Andreas
_______________________________________________
freebsd-ports-bugs@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to
"freebsd-ports-bugs-unsubscribe@freebsd.org"
Comment 5 gogolok 2012-02-24 22:16:57 UTC
ParseDate has been removed from standard library in ruby 1.9.
Comment 6 Chris Rees freebsd_committer 2012-04-12 11:03:36 UTC
State Changed
From-To: suspended->open

This should not be suspended.
Comment 7 dfilter service freebsd_committer 2012-04-16 22:44:47 UTC
bapt        2012-04-16 21:44:38 UTC

  FreeBSD ports repository

  Modified files:
    ports-mgmt/portupgrade Makefile distinfo pkg-descr 
  Log:
  - new upstream for portupgrade
  - update WWW, MASTER_SITE and distfile to reflect this
  - fix usage with ruby 1.9[1]
  
  PR:             ports/165353 [1], ports/166992 [2]
  Submitted by:   "Dr. Andreas Haakh" <bugReporter@ib-haakh.de> [1], Bryan Drewery <bryan@shatow.net> [2] (new maintainer)
  
  Revision  Changes    Path
  1.270     +12 -5     ports/ports-mgmt/portupgrade/Makefile
  1.179     +2 -2      ports/ports-mgmt/portupgrade/distinfo
  1.25      +1 -3      ports/ports-mgmt/portupgrade/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Baptiste Daroussin freebsd_committer 2012-04-16 22:45:04 UTC
State Changed
From-To: open->closed

Fixed. Thanks!